Summary:	Emilia 3d Pinball
Name:		pinball
Version:	0.3.1
Release:	%mkrel 1
Source0:	http://prdownloads.sourceforge.net/pinball/%{name}-%{version}.tar.xz
Source11:	pinball-16x16.png
Source12:	pinball-32x32.png
Source13:	pinball-48x48.png
Patch0:         pinball-0.3.1-sys-ltdl.patch
Patch1:         pinball-0.3.1-hiscore.patch
Patch2:		pinball-0.3.1-strictproto.patch
Patch10:         pinball-0.3.1-mga-makefile.patch
License:	GPL+
Group:		Games/Arcade
URL:		http://pinball.sourceforge.net/
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel SDL_mixer-devel
BuildRequires:	libtool-devel

%description
The Emilia Pinball projects is an open source pinball simulator for linux
and other unix systems. The current release is a stable and mature alpha.
There is only two levels to play with but it is however very addictive.

%prep
%setup -q
%patch0 -p1 -z .sys-ltdl
%patch1 -p1 -z .hiscore
%patch2 -p0 -z .strictproto
# autoreconf to new tool, then patch10
autoreconf
%patch10 -p1

rm -fr libltdl
# sigh stop autoxxx from rerunning because of our patches above.
touch aclocal.m4
touch configure
touch `find -name Makefile.in`
touch pinconfig.h.in
# cleanup a bit
chmod -x ChangeLog */*.h */*.cpp data/*/Module*.cpp

%build
%configure	--datadir=%{_gamesdatadir} \
		--bindir=%{_gamesbindir} \
		--with-pic \
		--with-gnu-ld
# 0.2.0: parallel make is broken.
make CXXFLAGS="%{optflags}"

%install
rm -fr %buildroot
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Pinball
Comment=%{Summary}
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

# Remove development files untill someone wants them.
rm -rf %{buildroot}%{_includedir}/%{name} \
    %{buildroot}%{_libdir}/%{name}/*.a \
    %{buildroot}%{_libdir}/%{name}/*.so \
    %{buildroot}%{_libdir}/%{name}/libModuleTest.*
rm -f  %{buildroot}%{_gamesbindir}/%{name}-config

# remove unused global higescorefiles:
rm -fr %{buildroot}%{_localstatedir}


%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README ChangeLog 
%{_gamesbindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so.*
%{_libdir}/%{name}/*.la
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Wed Nov 09 2011 Texstar <texstar at gmail.com> 0.1.3-1pclos2011
- import package pinball
